/* parseconfig.h - definitions for parseconfig.c
 *
 * Copyright (C) 2001  ViaLink Internet S/C Ltda, Rio de Janeiro, Brazil
 *                     http://www.vialink.com.br/
 * Author:             Juan Carlos Castro y Castro <jcastro@vialink.com.br>
 *
 * See the README file for more info.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, you can either send email to this
 * program's maintainer or write to: The Free Software Foundation,
 * Inc.; 59 Temple Place, Suite 330; Boston, MA 02111-1307, USA.
 */

#ifndef __PARSECONFIG__H__
#define __PARSECONFIG__H__

/* Option types */

#define PCFG_INT	0
#define PCFG_UINT	1
#define PCFG_STRING	2
#define PCFG_BOOLEAN	3
#define	PCFG_JUMPSTATE	4

/* Option structure */

struct _STR_PCFGOPTION
{
	char			*name;
	int			type;
	void			*value;
	int			size;
	void			(*postprocess)(void);
};
typedef struct _STR_PCFGOPTION PCFGOPTION;

/* Helper functions */

void parseconfig(char *configfile, PCFGOPTION *options);
char *gotospace(char *str);
char *gotononspace(char *str);
void removecrlf(char *str);
void removespace(char *str);

#endif /* __PARSECONFIG__H__ */
