#!/bin/sh
#
# Script to update McAfee VirusScan for Unix (uvscan) virus definitions.
# Place it in the uvscan installation directory and run it from crontab
# (preferrably daily). Check regularly that the download URLs are still valid.
#
# This script is hereby placed on the public domain.
#

cd `dirname $0`
wget -t 0 -c ftp://ftp.nai.com/pub/datfiles/english/dat-*.tar >wget.log 2>&1
if [ $? -eq 0 ]
then
	INUSE=`/usr/local/bin/uvscan --version | awk '($2 == "data") {print substr($4,2)}'`
	WEGOT=`ls dat-*.tar 2>/dev/null | tail -1 | awk '{print substr($0,5,length($0)-8)}'`
	if [ $WEGOT -gt $INUSE ]
	then
		tar xf dat-$WEGOT.tar 2>/dev/null
		echo `date +"%Y/%m/%d %H:%M:%S"` "Do update ($WEGOT > $INUSE)." >>updatedat.log
	else
		echo `date +"%Y/%m/%d %H:%M:%S"` "Don't update ($WEGOT <= $INUSE)." >>updatedat.log
	fi
else
	mv wget.log wget-error.log
	echo `date +"%Y/%m/%d %H:%M:%S"` "Download error -- see wget-error.log" >>updatedat.log
fi
